Search for %s

  1. Search 7.x for %s
  2. Search 9.5.x for %s
  3. Search 8.9.x for %s
  4. Search 10.3.x for %s
  5. Search 11.x for %s
  6. Other projects
Title Object type File name Summary
TermNameFieldTest::testTermNameField function core/modules/taxonomy/tests/src/Functional/Views/TermNameFieldTest.php Tests term name field plugin functionality.
TermNode::fields function core/modules/taxonomy/src/Plugin/migrate/source/d6/TermNode.php Returns available fields on the source.
TermNode::getIds function core/modules/taxonomy/src/Plugin/migrate/source/d6/TermNode.php Defines the source fields uniquely identifying a source row.
TermNodeRevision class core/modules/taxonomy/src/Plugin/migrate/source/d6/TermNodeRevision.php Drupal 6 term/node relationships (non-current revision) source from database.
TermNodeRevision.php file core/modules/taxonomy/src/Plugin/migrate/source/d6/TermNodeRevision.php
TermNodeRevision::JOIN constant core/modules/taxonomy/src/Plugin/migrate/source/d6/TermNodeRevision.php The join options between the node and the term node table.
TermNodeTest class core/modules/taxonomy/tests/src/Kernel/Plugin/migrate/source/d6/TermNodeTest.php Tests d6_term_node source plugin.
TermNodeTest.php file core/modules/taxonomy/tests/src/Kernel/Plugin/migrate/source/d6/TermNodeTest.php
TermNodeTest::$modules property core/modules/taxonomy/tests/src/Kernel/Plugin/migrate/source/d6/TermNodeTest.php Modules to install.
TermNodeTest::providerSource function core/modules/taxonomy/tests/src/Kernel/Plugin/migrate/source/d6/TermNodeTest.php Provides source data for ::testSource.
TermParentsTest class core/modules/taxonomy/tests/src/Functional/TermParentsTest.php Tests managing taxonomy parents through the user interface.
TermParentsTest.php file core/modules/taxonomy/tests/src/Functional/TermParentsTest.php
TermParentsTest::$defaultTheme property core/modules/taxonomy/tests/src/Functional/TermParentsTest.php The theme to install as the default for testing.
TermParentsTest::$modules property core/modules/taxonomy/tests/src/Functional/TermParentsTest.php Modules to install.
TermParentsTest::$state property core/modules/taxonomy/tests/src/Functional/TermParentsTest.php The state service.
TermParentsTest::$termStorage property core/modules/taxonomy/tests/src/Functional/TermParentsTest.php The term storage.
TermParentsTest::$vocabularyId property core/modules/taxonomy/tests/src/Functional/TermParentsTest.php The ID of the vocabulary used in this test.
TermParentsTest::assertParentOption function core/modules/taxonomy/tests/src/Functional/TermParentsTest.php Asserts that an option in the parent form element of terms exists.
TermParentsTest::assertParentsUnchanged function core/modules/taxonomy/tests/src/Functional/TermParentsTest.php Asserts that the parents of the term have not changed after saving.
TermParentsTest::createTerm function core/modules/taxonomy/tests/src/Functional/TermParentsTest.php Creates a term, saves it and returns it.
TermParentsTest::doTestEditingSingleParent function core/modules/taxonomy/tests/src/Functional/TermParentsTest.php Performs tests that edit terms with a single parent.
TermParentsTest::setUp function core/modules/taxonomy/tests/src/Functional/TermParentsTest.php
TermParentsTest::submitAddTermForm function core/modules/taxonomy/tests/src/Functional/TermParentsTest.php Creates a term through the user interface and returns it.
TermParentsTest::testAddWithParents function core/modules/taxonomy/tests/src/Functional/TermParentsTest.php Tests specifying parents when creating terms.
TermParentsTest::testEditingParents function core/modules/taxonomy/tests/src/Functional/TermParentsTest.php Tests editing the parents of existing terms.
TermParentsTest::testEditingParentsWithDisabledFormElement function core/modules/taxonomy/tests/src/Functional/TermParentsTest.php Tests specifying parents when creating terms and a disabled parent form.
TermParentsTest::testParentFromQuery function core/modules/taxonomy/tests/src/Functional/TermParentsTest.php Test the term add/edit form with parent query parameter.
TermResourceTestBase class core/modules/taxonomy/tests/src/Functional/Rest/TermResourceTestBase.php Resource test base for taxonomy term entity.
TermResourceTestBase.php file core/modules/taxonomy/tests/src/Functional/Rest/TermResourceTestBase.php
TermResourceTestBase::$entity property core/modules/taxonomy/tests/src/Functional/Rest/TermResourceTestBase.php
TermResourceTestBase::$entityTypeId property core/modules/taxonomy/tests/src/Functional/Rest/TermResourceTestBase.php The tested entity type.
TermResourceTestBase::$modules property core/modules/taxonomy/tests/src/Functional/Rest/TermResourceTestBase.php Modules to install.
TermResourceTestBase::$patchProtectedFieldNames property core/modules/taxonomy/tests/src/Functional/Rest/TermResourceTestBase.php The fields that are protected against modification during PATCH requests.
TermResourceTestBase::createEntity function core/modules/taxonomy/tests/src/Functional/Rest/TermResourceTestBase.php Creates the entity to be tested.
TermResourceTestBase::getExpectedCacheContexts function core/modules/taxonomy/tests/src/Functional/Rest/TermResourceTestBase.php The expected cache contexts for the GET/HEAD response of the test entity.
TermResourceTestBase::getExpectedCacheTags function core/modules/taxonomy/tests/src/Functional/Rest/TermResourceTestBase.php The expected cache tags for the GET/HEAD response of the test entity.
TermResourceTestBase::getExpectedNormalizedEntity function core/modules/taxonomy/tests/src/Functional/Rest/TermResourceTestBase.php Returns the expected normalization of the entity.
TermResourceTestBase::getExpectedUnauthorizedAccessMessage function core/modules/taxonomy/tests/src/Functional/Rest/TermResourceTestBase.php Return the expected error message.
TermResourceTestBase::getExpectedUnauthorizedEntityAccessCacheability function core/modules/taxonomy/tests/src/Functional/Rest/TermResourceTestBase.php The cacheability of unauthorized 'view' entity access.
TermResourceTestBase::getNormalizedPostEntity function core/modules/taxonomy/tests/src/Functional/Rest/TermResourceTestBase.php Returns the normalized POST entity.
TermResourceTestBase::providerTestGetTermWithParent function core/modules/taxonomy/tests/src/Functional/Rest/TermResourceTestBase.php Data provider for ::testGetTermWithParent().
TermResourceTestBase::setUp function core/modules/taxonomy/tests/src/Functional/Rest/TermResourceTestBase.php
TermResourceTestBase::setUpAuthorization function core/modules/taxonomy/tests/src/Functional/Rest/TermResourceTestBase.php Sets up the necessary authorization.
TermResourceTestBase::testGetTermWithParent function core/modules/taxonomy/tests/src/Functional/Rest/TermResourceTestBase.php Tests GETting a term with a parent term other than the default <root> (0).
TermResourceTestBase::testPatchPath function core/modules/taxonomy/tests/src/Functional/Rest/TermResourceTestBase.php Tests PATCHing a term's path.
TermRouteContext::getAvailableContexts function core/modules/taxonomy/src/ContextProvider/TermRouteContext.php Gets all available contexts for the purposes of configuration.
TermRouteContext::getRuntimeContexts function core/modules/taxonomy/src/ContextProvider/TermRouteContext.php Gets runtime context values for the given context IDs.
TermRouteContext::__construct function core/modules/taxonomy/src/ContextProvider/TermRouteContext.php Constructs a new TermRouteContext.
TermSelection class core/modules/taxonomy/src/Plugin/EntityReferenceSelection/TermSelection.php Provides specific access control for the taxonomy_term entity type.
TermSelection.php file core/modules/taxonomy/src/Plugin/EntityReferenceSelection/TermSelection.php

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.